summaryrefslogtreecommitdiff
path: root/tests/misc/false-status.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/false-status.sh')
-rwxr-xr-xtests/misc/false-status.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/tests/misc/false-status.sh b/tests/misc/false-status.sh
index 77bea451..03fe98c2 100755
--- a/tests/misc/false-status.sh
+++ b/tests/misc/false-status.sh
@@ -2,7 +2,7 @@
# ensure that false exits nonzero even with --help or --version
# and ensure that true exits nonzero when it can't write --help or --version
-# Copyright (C) 2003-2014 Free Software Foundation, Inc.
+# Copyright (C) 2003-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -20,12 +20,12 @@
. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
print_ver_ false true
-env false --version > /dev/null && fail=1
-env false --help > /dev/null && fail=1
+returns_ 1 env false --version > /dev/null || fail=1
+returns_ 1 env false --help > /dev/null || fail=1
if test -w /dev/full && test -c /dev/full; then
- env true --version > /dev/full && fail=1
- env true --help > /dev/full && fail=1
+ returns_ 1 env true --version > /dev/full || fail=1
+ returns_ 1 env true --help > /dev/full || fail=1
fi
Exit $fail